# $Id: smeserver-mod_dav.spec,v 1.6 2021/06/21 01:39:42 terryfage Exp $
# Authority: snetram
# Name: Jonathan Martens

%define name smeserver-mod_dav
%define version 1.1
%define release 7

Summary: SME Server mod_dav implementation
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/Internet
Source: %{name}-%{version}.tar.xz
Patch0: smeserver-mod_dav-1.1_add_AuthBasicProvider_external.patch
Patch1: smeserver-mod_dav-1.1-bz11070.patch
Patch2: smeserver-mod_dav-1.1-bz10347-bz4564-bz5337.patch
Patch3: smeserver-mod_dav-1.1-bz11630.patch

BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: smeserver-release >= 9
Requires: httpd >= 2
BuildRequires: e-smith-devtools >= 1.13.1-03

%description
Implementation of mod_dav for SME Server 7.

%changelog
* Mon Jun 21 2021 Terry Fage <terryf@ozemail.com.au> 1.1-7.sme
- Ensure persistence of/var/run/davlocks on reboot/reconfig [SME: 11630]

* Mon Mar 01 2021 Jean-Philipe Pialasse <tests@pialasse.com> 1.1-6.sme
- fix security issues [SME: 11077]
  where user could access ibay he was not member of group
- improve ibay dav template  [SME 4564]
  force ssl, secure php file, disable cgi and php 
  when DAV enabled on ibay, and respect rmeote access settings
- descriptive login box [SME: 5337]
- fix some typos and propertie names
  
* Sun Feb 28 2021 Jean-Philipe Pialasse <tests@pialasse.com> 1.1-4.sme
- add createlinks and add -update event [SME: 11070]

* Thu Oct 29 2020 Brian Read <brianr@bjsystems.co.uk> 1.1-3.sme
- Initial import into SME10 tree [SME: 11070]

* Tue Jun 10 2014 stephane de Labrusse <stephdl@de-labrusse.fr> - 1.1-2.sme
- added new way to authenticate to apache [sme:8340]

* Wed Nov 13 2013 Daniel Berteaud <daniel@firewall-services.com> 1.1-1.sme
- Rebuild for SME9

* Mon May 28 2012 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0-1.sme
- Initial version

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%build
perl createlinks

%install
rm -rf %buildroot
(cd root ; find . -depth -print | cpio -dump %buildroot)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist %buildroot \
    --dir /var/run/davLocks 'attr(0755,www,www)' \
    > %{name}-%{version}-filelist

%clean
rm -rf %buildroot

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
